Description

Dear Philippe,

In Gisaf, when you click on Building-Outline layer (category B26), Building-Wall layer (B43), and Vegetation-Governor's Plume layer

(V216), the tick in the box becomes a line (see attached screenshot), and features do not show on the map.

Associated revisions

Revision d841b737 - 06/07/2023 16:16 - Philippe May

Refs #15080: escape characters in the description

History

#1 - 03/07/2023 16:00 - Philippe May

- Status changed from New to In Progress

- Assignee changed from Philippe May to Selvarani C

I quickly checked with the building walls, and there seems to be errors with some geometries.

Specifically, it seems that it's the "Z" coordinate which is "Infinity" for some points of these lines. For the building walls, the following ids have issues:

1280, 1281, 1296.

Maybe there's a geometry check in QGis that can detect these errors?

It would good to understand how these geometries can get such a Z value.

#2 - 03/07/2023 16:37 - Selvarani C

I Have done the geometry check for the building wall in QGIS is not showing any errors on the following Ids:1280,1281,1296.

if the geometry has Z value, we can't able to import it.

it will shows the error immediately when we are importing.

#3 - 03/07/2023 16:58 - Selvarani C

And also the Ids 1280 and 1281 they were in Arati and 1296 is in Prayatna were RZ zone.

Now a days we were working on IDZ zone.i don't know how it would get Z value.

#4 - 04/07/2023 11:46 - Selvarani C

We found the "Z" coordinate which is "Infinity" for some points in the building outline(category - B26) and we rectified. But we don't know yet how that

was created...

For other two layers: building wall (BLDG-WALL, category - B43) and Vegetation-Governor's Plume layer (VEGE-FLIN, category - V216), we weren't

able to find the problem and we need your suggestion....
#5 - 06/07/2023 16:19 - Philippe May

For the "Governor's Plum" (VEGE-FLIN, category - V216), the issue was because of the quote in the description of that layer. I just fixed the issue.

#6 - 06/07/2023 16:28 - Philippe May

For building walls, there's still one polygon (id 1554) which has some points with a Z coordinate with infinite value.

For reference, i use this SQL query to find such features:

select id from avsm_survey."V_BLDG_WALL" where ST_AsText(geom) LIKE '%Infinity%';

#7 - 06/07/2023 16:35 - Philippe May

By the way Selvarani, don't forget to re-assign the issue to me after adding comments if i have to do something 
thumbsup.png 

#8 - 06/07/2023 17:11 - Selvarani C

We found and rectified Philippe.

Now its all showing in Gisaf.

Thanks.

#9 - 06/07/2023 17:13 - Selvarani C

Sure Philippe, i will re-assign.

Thanks.

#10 - 06/07/2023 17:14 - Selvarani C

- Status changed from In Progress to Resolved
